[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# Copy2Space

Returns all characters in a string till the first space character (not included).

## Declaration

Source position: strutils.pp line 196

`function Copy2Space(`
`const S: string`
`):string;`

## Arguments

`S` |  | String to return first characters from.

## Function result

Characters from S till the first space.

## Description

Copy2Space determines the position of the first space in the string S and returns all characters up to this position. The space character itself is not included in the result string. The string S is left untouched. If there is no space in S, then the whole string S is returned.

This function simply calls Copy2Symb with the space (ASCII code 32) as the symbol argument.

## Errors

None.

## See also

Copy2Symb |  | Returns all characters in a string till a given character (not included).
Copy2SpaceDel |  | Deletes and returns all characters in a string till the first space character (not included).